import { i18n } from 'FerdaJS/app.config'
import Vue from 'vue'
import Vuetify from 'vuetify/lib'

import PubreqMenuItem from 'ferda_pubreq/common/PubreqMenuItem.vue'

import { i18next } from './main'
import { get_pubreq_vuetify_options } from './main.config'
import { wait_for_element } from './utils'

Vue.use(Vuetify)

document.addEventListener('ferda-loaded', async({ detail }) => {
    const permissions = detail.store_getters['general/permissions']
    if (!permissions.includes('ferda_pubreq.can_view')) {
        return
    }

    // Wait until translations are ready
    await i18next.init()

    const menu = await wait_for_element('.v-navigation-drawer__content > div')
    const pubreq_item_el = document.createElement('div')
    pubreq_item_el.setAttribute('id', 'pubreq-item')
    menu.appendChild(pubreq_item_el)

    new Vue({
        el: '#pubreq-item',
        name: 'PubreqMenuItem',
        vuetify: new Vuetify(get_pubreq_vuetify_options()),
        i18n,
        render: createElement => createElement(PubreqMenuItem),
    })
})
