"""Ferda public request backend.

Python backend library for public requests is 'prequel'.

Attributes:
    PUBREQ_INFO: Singleton with instantiated information client.
    PUBREQ_PROCESSING: Singleton with instantiated processing client.
"""

from frgal import make_credentials
from prequel import PublicRequestInfoClient, PublicRequestProcessingClient

from .settings import SETTINGS

PUBREQ_INFO = PublicRequestInfoClient(
    SETTINGS.public_request_netloc,
    credentials=make_credentials(SETTINGS.public_request_ssl_cert),
)
PUBREQ_PROCESSING = PublicRequestProcessingClient(
    SETTINGS.public_request_netloc,
    credentials=make_credentials(SETTINGS.public_request_ssl_cert),
)
