"""Ferda public request constants."""

from enum import Enum, unique


@unique
class LogEntryType(str, Enum):
    """Ferda public request log entry types."""

    PUBLIC_REQUEST_GET = "PublicRequestGet"
    PUBLIC_REQUEST_LIST = "PublicRequestList"
    PUBLIC_REQUEST_RESOLVE = "PublicRequestResolve"
    PUBLIC_REQUEST_INVALIDATE = "PublicRequestInvalidate"


@unique
class LogReferenceType(str, Enum):
    """Log reference type."""

    CONTACT = "contact"
    DOMAIN = "domain"
    NSSET = "nsset"
    KEYSET = "keyset"
    PUBLIC_REQUEST = "publicrequest"
