"""Ferda hooks implementation."""

from typing import Iterable, Tuple

import ferda

_PERMISSIONS = (
    # Required permissions for API endpoints
    #   none: 'get_types'
    #   can_view: 'get', 'list'
    #   can_process: 'resolve', 'invalidate'
    ("ferda_pubreq.can_view", "Can get public request information"),
    ("ferda_pubreq.can_process", "Can process public requests"),
)


@ferda.hookimpl
def create_permissions() -> Iterable[Tuple[str, str]]:
    """Create ferda_pubreq permissions."""
    return _PERMISSIONS
