"""Ferda public request settings."""

import os

from appsettings import AppSettings, FileSetting, StringSetting


class FerdaPubreqSettings(AppSettings):
    """Ferda public request settings."""

    public_request_netloc = StringSetting(required=True)
    public_request_ssl_cert = FileSetting(default=None, mode=os.R_OK)

    class Meta:
        """Meta class."""

        setting_prefix = "ferda_pubreq_"


SETTINGS = FerdaPubreqSettings()
